## msid 0.3.9-4

=== Makefile ===

COMPILER = g++

HILDON = `pkg-config --cflags --libs hildon-1 hildon-fm-2` -DHILDON -DHANDHELD_UI

PROGRAM = msid

SOURCES = main.cpp loader_tab.c player_tab.c config_tab.c image_tab.c curling.c ui.c sid_test.c
OPTS = -g -O2

DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl
GVFS = `pkg-config --libs --cflags gnome-vfs-2.0`

PROGRAM_DATA_DIR = $(DESTDIR)/usr/share/$(PROGRAM)

ICONPATH = $(DESTDIR)/usr/share/pixmaps
icondir = $(DESTDIR)/usr/share/icons/hicolor

all :
	$(COMPILER) $(OPTS) -o $(PROGRAM) $(SOURCES) $(DEPS) $(GVFS) $(HILDON)

	make -C plugins

install :
	install -d $(PROGRAM_DATA_DIR)
	install -d $(ICONPATH)
	install -d $(DESTDIR)/usr/share/applications/hildon

	install -d $(icondir)/26x26/hildon
	install -d $(icondir)/34x34/hildon
	install -d $(icondir)/40x40/hildon
	install -d $(icondir)/50x50/hildon
	install -d $(icondir)/scalable/hildon

	install -m 644 msid_config.ini $(PROGRAM_DATA_DIR)
	install -m 644 STIL.txt $(PROGRAM_DATA_DIR)

	install -m 644 msidlogo.png $(PROGRAM_DATA_DIR)

	install -m 644 $(PROGRAM).26.png $(ICONPATH)/$(PROGRAM).png

	install $(PROGRAM).26.png $(icondir)/26x26/hildon/$(PROGRAM).png
	install $(PROGRAM).34.png $(icondir)/34x34/hildon/$(PROGRAM).png
	install $(PROGRAM).40.png $(icondir)/40x40/hildon/$(PROGRAM).png
	install $(PROGRAM).50.png $(icondir)/50x50/hildon/$(PROGRAM).png
	install $(PROGRAM).64.png $(icondir)/scalable/hildon/$(PROGRAM).png

	install -m 755 $(PROGRAM) $(DESTDIR)/usr/bin

	install -m 644 $(PROGRAM).desktop $(DESTDIR)/usr/share/applications/hildon

	make install -C plugins

clean :
	rm -f $(PROGRAM) core* *~
	make clean -C plugins

=== plugins/audio/Makefile ===

#
# handwritten makefiles are cool
#

COMPILER = g++
PROGRAM = msid

OPTS = -g -O2

MSID_PLUGIN_IFACE = ../driver_iface.h

#ESD_PLUGIN_SOURCES  = $(MSID_PLUGIN_INTERFACE) driver_esd.h driver_esd.cpp `pkg-config --cflags --libs esound` -lsidplay
#ALSA_PLUGIN_SOURCES = $(MSID_PLUGIN_INTERFACE) driver_alsa.h driver_alsa.cpp `pkg-config --cflags --libs alsa` -lsidplay
PULSE_PLUGIN_SOURCES = $(MSID_PLUGIN_INTERFACE) driver_pulse.h driver_pulse.cpp `pkg-config --cflags --libs libpulse-simple` -lsidplay

AUDIO_PLUGIN_DIR = $(DESTDIR)/usr/lib/$(PROGRAM)/audio

all :
	#only pulse for now
	#$(COMPILER) -fPIC -o libmsid_esd.so  -shared $(ESD_PLUGIN_SOURCES)
	#$(COMPILER) -fPIC -o libmsid_alsa.so -shared $(ALSA_PLUGIN_SOURCES)

	$(COMPILER) -fPIC -o libmsid_pulse.so -shared $(PULSE_PLUGIN_SOURCES)

install :
	install -d $(AUDIO_PLUGIN_DIR)
	#install -m 644 libmsid_esd.so  $(AUDIO_PLUGIN_DIR)
	#install -m 644 libmsid_alsa.so  $(AUDIO_PLUGIN_DIR)
	install -m 644 libmsid_pulse.so  $(AUDIO_PLUGIN_DIR)

clean :
	rm -f lib*so core* *~

=== plugins/search/Makefile ===

#
# handwritten makefiles are cool
#

COMPILER = g++
PROGRAM = msid

MSID_SEARCH_IFACE = ../search_iface.h ../curling.h ../curling.c

TP2B_SEARCH_PLUGIN = $(MSID_SEARCH_INTERFACE) search_plugin_tp2b.h search_plugin_tp2b.cpp
C64ORG_SEARCH_PLUGIN = $(MSID_SEARCH_INTERFACE) search_plugin_c64org.h search_plugin_c64org.cpp

DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl

SEARCH_PLUGIN_DIR = $(DESTDIR)/usr/lib/$(PROGRAM)/search

all :
	$(COMPILER) -fPIC -o libmsid_c64org.so -shared $(C64ORG_SEARCH_PLUGIN) $(DEPS)

install :
	install -d $(SEARCH_PLUGIN_DIR)
	install -m 644 *.so  $(SEARCH_PLUGIN_DIR)

clean :
	rm -f lib*so core* *~

## msid 0.3.9-3

=== debian/changelog ===
msid (0.3.9-3) unstable; urgency=low

  * fix changed gnomevfs2-dev dependency 

 -- Tapani Palli <lemody@c64.org>  Mon, 18 Jan 2010 17:49:22 +0200

msid (0.3.9-2) unstable; urgency=low

  * fixing debian package

 -- Tapani Palli <lemody@c64.org>  Thu,  7 Jan 2010 22:02:51 +0200

msid (0.3.9) unstable; urgency=low

  * removed hide option, set local HVSC button inactive (not supported yet),
    removed build warnings, added help dialog ...

 -- Tapani Palli <lemody@c64.org>  Wed,  6 Jan 2010 12:54:35 +0200

msid (0.3.8) unstable; urgency=low

  * remove launch script 

 -- Tapani Palli <lemody@c64.org>  Wed,  6 Jan 2010 10:16:36 +0200

msid (0.3.7) unstable; urgency=low

  * some little fixes for some small glitches

 -- Tapani Palli <lemody@c64.org>  Wed,  6 Jan 2010 09:51:02 +0200

msid (0.3.6) unstable; urgency=low

  * fixes with some sidfiles causing player to crash

 -- Tapani Palli <lemody@c64.org>  Thu, 10 Apr 2008 13:44:31 +0300

msid (0.3.5) unstable; urgency=low

  * now should work with internal mmc too 

 -- Tapani Palli <lemody@c64.org>  Wed,  9 Apr 2008 16:16:47 +0300

msid (0.3.4) unstable; urgency=low

  * added entrycompletion to searching page
  * launch mimehandler for urls with gnomevfs
  * build time UI layout switch for different targets
  * fixed a crasher with network connection failure

 -- Tapani Pälli <lemody@c64.org>  Fri, 29 Feb 2008 18:36:09 +0200

msid (0.3.3) unstable; urgency=low

  * lots of debugging, audio plugin handling now stable,
    statusicon blinks for awhile

 -- Tapani Pälli <lemody@c64.org>  Tue,  9 Oct 2007 21:13:01 +0300

msid (0.3.2) unstable; urgency=low

  * working c64.org search backend :)

 -- Tapani Pälli <lemody@c64.org>  Fri,  5 Oct 2007 19:05:04 +0300

msid (0.3.1) unstable; urgency=low

  * first trial at runtime theming ...

 -- Tapani Pälli <lemody@c64.org>  Fri,  5 Oct 2007 17:51:39 +0300

msid (0.3) unstable; urgency=low

  * improvements to plugin framework 

 -- Tapani Palli <lemody@gmail.com>  Fri, 28 Sep 2007 19:21:46 +0300

msid (0.2) unstable; urgency=low

  * major changes: real plugins (dlopen), load .sid from net, load game images
    from net ...

 -- Tapani Pälli <lemody@gmail.com>  Fri, 21 Sep 2007 18:51:14 +0300

msid (0.1.4) unstable; urgency=low

  * ported for new hildon api 

 -- Tapani Pälli <lemody@gmail.com>  Mon, 18 Jun 2007 18:43:21 +0300

msid (0.1.3) unstable; urgency=low

  * subsong selector 

 -- Tapani Pälli <lemody@gmail.com>  Sun,  4 Feb 2007 11:19:59 +0200

msid (0.1.2) unstable; urgency=low

  * enable ALSA backend 

 -- Tapani Pälli <lemody@gmail.com>  Sun, 14 Jan 2007 18:19:20 +0200

msid (0.1.1) unstable; urgency=low

  * Some improvements, help-dialog + status text 

 -- Tapani Pälli <lemody@gmail.com>  Sun, 14 Jan 2007 17:07:19 +0200

msid (0.1) unstable; urgency=low

  * Initial Release.

 -- Tapani Pälli <lemody@gmail.com>  Thu,  7 Dec 2006 19:54:38 +0200

=== debian/control ===
Source: msid
Section: user/multimedia
Priority: optional
Maintainer: Tapani Pälli <lemody@c64.org>
Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, libhildonfm2-dev, libosso-gnomevfs2-dev, libcurl4-openssl-dev, libsidplay1-dev, libasound2-dev, libpulse-dev
Standards-Version: 3.6.0

Package: msid
Architecture: any
Depends: ${shlibs:Depends}
Description: sid player for maemo platform
 msid plays .sid files using libsidplay for input
 and PULSE, ALSA or ESD as output. msid fetches sid
 files from the net and can display screenshots of
 most of the game sids.

## msid 0.3.9-4

=== debian/changelog ===
msid (0.3.9-4) unstable; urgency=low

  * added a bugtracker link to debian/control 

 -- Tapani Palli <lemody@c64.org>  Sun, 14 Feb 2010 12:17:41 +0200

=== debian/control ===
--- 
+++ 
@@ -13,3 +13,4 @@
  and PULSE, ALSA or ESD as output. msid fetches sid
  files from the net and can display screenshots of
  most of the game sids.
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=641&group_id=153&func=browse

## msid 0.3.9-5

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,9 @@
 DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl
 GVFS = `pkg-config --libs --cflags gnome-vfs-2.0`
 
-PROGRAM_DATA_DIR = $(DESTDIR)/usr/share/$(PROGRAM)
+OPTDIR = $(DESTDIR)/opt/msid
+
+PROGRAM_DATA_DIR = $(OPTDIR)/usr/share/$(PROGRAM)
 
 ICONPATH = $(DESTDIR)/usr/share/pixmaps
 icondir = $(DESTDIR)/usr/share/icons/hicolor
@@ -45,7 +47,8 @@
 	install $(PROGRAM).50.png $(icondir)/50x50/hildon/$(PROGRAM).png
 	install $(PROGRAM).64.png $(icondir)/scalable/hildon/$(PROGRAM).png
 
-	install -m 755 $(PROGRAM) $(DESTDIR)/usr/bin
+	install -d $(OPTDIR)/usr/bin
+	install -m 755 $(PROGRAM) $(OPTDIR)/usr/bin
 
 	install -m 644 $(PROGRAM).desktop $(DESTDIR)/usr/share/applications/hildon

=== plugins/Makefile ===

all:
	make -C audio
	make -C search

install:
	make install -C audio
	make install -C search
clean:
	make clean -C audio
	make clean -C search

	rm -f *~

=== debian/changelog ===
msid (0.3.9-5) unstable; urgency=low

  * added icon for application manageri
  * optify paths
  * fix lock condition with search thread
  * Thanks to Riku Voipio for package review
	
 -- Tapani Palli <lemody@c64.org>  Tue, 23 Feb 2010 16:49:13 +0200

=== debian/control ===
--- 
+++ 
@@ -14,3 +14,69 @@
  files from the net and can display screenshots of
  most of the game sids.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=641&group_id=153&func=browse
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9oCFw4sEOZn/28AAArnSURBVGje1ZpLjF33Xcc/3///f869M/Z4/Iwf
+ gThRnEnc0Dyoa5BatUBrUACJsgGEVNQKELCADRvYsGADCzYsQbAiqIsWsQAW
+ VbGKBSkxSfPoI05TObLjxMHuOGPPjOdxzzn/H4v/Ofeecx8zNkWKONJo7j3n
+ f37v9+/qUt6PCAnMohFjxIh4F/DOE4lYjDLDACQ1f+kdM8yMKZcAkwRCGAaG
+ GdTYQOCco6qiBsXAnBN5luOcJ8aoWFUG4L3He0+MkWhxBN+w4KooRMJlUGPA
+ GzjMZMgQZlHNm07UryCLZpiJ6ZdQYhqZMBKzNcNCpogwI4AUwVWGI6JYIwbz
+ ETkimCFLiBv4IUtcanRXIOGiIasg4RxpgCGQJNUYk2hnagBUc8DwZI1OAJUF
+ M2U1VFcm4hsJp3cqI4LvalqAhYzYCGoE2TokqcWzEk5qkZuG4hzKQC1hJDgy
+ DZXRohwsYjUo4UhcRixiNUUyolW19Fwt3gQxwQiOpCcN6Yw16oYOs0SUGBHb
+ XOO2Y2NnhjAaDFM0leC7JEhLmK0NEIeNJFlLRfX30HwYvdQgs45hzbaS9jON
+ fR6/RwdH+1QcMtrcGzKNZ/YV4lTibIxmY/fLfojvNsbWveMNm/dO4f1edl+U
+ /C/hh+2sY/CT+tYOZEx/phpi155sDL6mwNQ9KJYurWHv43nj7poGpu2RU6xa
+ HYsfESUbg9WkA0DtIKcWy1PUJM3KL00eOHp20WZ4WtsVVMfMIUKrpWqte7IJ
+ hm34fqODcQmMmLIO1dYCp5lMWHDHtyduGhANgoMssxQGIlgptssEtfPMwAqx
+ VYCEegFTsI6ZWCm2ikRUPwOXJdrKbVFEmMuAzGgFo/S/EoM4xUQbJ77DGjNC
+ AGVprG6IzQL25sZir5a+gTfY2ICVzVRILfaMXoC+h0Lwg1W4vuYoIhzoG0fm
+ 03MDVrZh5U5ykgNzkHnjB5uwdkdsFHB3IIKDE/siR+YhOtguNdWmwhbWptua
+ jJcFuHILnv9WxjeueR47GPmNpwec/VEjc3D1Nnzp2xlfu5xxeD7yxWcHnDsV
+ 2YzYN66If3kr4/sfODYKcWJv5Nc+OuDco2a9AC9eF3/5Yo/cwx99apuPPgD/
+ dMnz5Tdyqmj0AwyieGgx8otLBZ94KJIHY7tiIhkGgRydVIwT5A6WNx0XrmZ8
+ 952c166aju8zfuJHBiz24Ns3PX/3Wk/v38ogi5w7VbGQRy5cdfzphT6XVzy/
+ tFTo4FzF5RXP++teVSzpe7i25jn/Vg/v4Tc/VtLzJS+/H3ThzR7HD5Z8/tlt
+ bt51fOVSrovvBv74k1s891hFz8EgdgxFoWfOnI0KXDPMC3LBHI55Pyrc3roZ
+ WFktWZDxxn8HLW86A+hnxuFc9Ey8dCXT61dy278v6reeLu2nHil564bXoJL1
+ o5MKszmJXmbMOZhD9CMKKRXzzAMVf/jxAouoKGR//80+f3URTu7d5Mwxw1eS
+ pSKxLuYGjmFF1dSKgsyMXiWcCTLj5P4KF8WFtzOOzBvXb3ueOBB5I4oKyKNg
+ IPYk+Nxelz3/es76XccTh6I9utfITaZtMRdF7iE4o1eBGzj6coDhEaFwHDxg
+ /PaTJf9+teLie55XrmV8bH9JT7IignMpqoVBCisdzxbgM9jaNta2kgM/93AK
+ IX/zWmA7iscWK37h5ICNMufyiuPGaqTaiHz6+Da//hR85c1Mf/tSZs9/M3Dm
+ ZKVfXirscw8XPLrPiKWIMZWNg0Gk3I6UdVW/viWWVx0H5yLH5+D4QuSdW573
+ V8XdrcicT77gGg1Yf0aezsH6UAmChzMPVfRkfOk7Obe3PD/z8IDPLpV89XoG
+ y7AOrHp46hHjz45u8clTJee/n/HqDc8LVwPfWXbkwfj9jxfsWYhN24H6RpwH
+ Cwlv3jN6+wz2G4M1WCsEJlwGzBkWwEqGJhP2ncomcpcD+j2Yl8MFsb4FvcOe
+ n3sy8isrke/dgF/9rDg0H9g876ASC8cCe07BnS3IFozfPQ2/t6fgX1+PfOGv
+ He/d9LxdZbBkLG77YYbKTmTkSxF/MXGwsF+ceDbAXuOF73ouXfcsLogff8px
+ +PEcM6MXU6ABCP2lTrEqM0wucRvXHasDp3IA1+Q5chb9yYMV6xuVPX4aXv6W
+ 1/KqMxC9oyJ/2vHC173+4d+8ffqpyHNnKm6aWN0CvPHEM4inva1f82xsOAbO
+ GBxz4jQMkiXo8ornxdtmH7wDf/F1L8PsCz9f8plzkfyQIxYobzUMYbCvmKib
+ JcjnoHfIcegBb9dXneYOVrBQ2IOn61N7DBa9HT4aWL4rFo+WcLig2hPsjWXx
+ 2lfFl1/23PxAHDse+eJPlvzsTxfGQiQuBPYe8MzlMH+oNBZKHX0QyJ1dXzP+
+ /B/hzjr4frQ/+HzJ73xuwAMPG0V0RFOn1tf6S93E0CTk4GH5NnbhlaAPVh2f
+ eqZk6WSkrKCKMN+HW3fgaxczu3VHOne25COPRN69CS9fClx+17G6Ab0ASycj
+ Zz9SceJIitdvvwfn/yvDe+y5T5Q6dtB49XuOV9703N0Sm4NUqjz5SOTM6dIO
+ H0BlBTEO67BRNbfxnzQWZe12NaZQRRaSv5UVVpZ1w2kpCjiPhfScskyMZQG8
+ h6pC0WQSeGcysKIAi+l5qJ22KMGiFALmvREjVFE4oRDMYhSDIiUpJxgr8Sz4
+ 2C6vR629N1AEX9UxNqZ8pjp6RANVEJSkSgRFoQIUjdwnu8cgVlBWwtcjHW8Q
+ Yt2FRaXaqgJn4AVZyo/EAVRluu9cYyLqVMoq/wOb1lE0KrGY6nSnyUKqrloN
+ Q81zG44FJmtfjcYSNPS7NB5Kg5CocTmmwYE61UO3mHOdTswmugmliJcUN/5Y
+ qeyA4QQHuWGFPUyOavUOzWDMa1g9plmMw3Cd3nj4fhe3dfsB9TvsalbjqN3H
+ EJ3ZkqZrYQK+uiJt9UszYXX7gWWf7TYGsBkd7E7n73V08UPDD/98Q/x/vsL5
+ 5YUPlwLtoDPtMLWwpiPLD9KZV36oc6FdaOhOLdNcaC7zrZnCjvK4X5lqirPP
+ hi+NjZLabzcB1dI4Vq25ELalKcPMexXPbme1y70R8SZNUZYYTWrrycxwtpta
+ ysjGvUh+Vni913d2OGvN3mc6fLWtZ8p+wLN5P0T9X7tla3KmHUeLNpreJ3Ov
+ +Q17yD/0UCjtbJFNNrMpvAfHg1MWMbsFF+30zO7nmWFp3yLtiEPNfq3ZDjYM
+ XL39Y0l3YyXTaFRkM8Qzs2KY5eSaZkzD+og2fhsfFw+jULMvGjrxq1eWrLXX
+ 0g6rmHt14vsKozVByYk1C369uouG1UXkcM363s2jtBa9dl+pZ/oWaQSrqa9H
+ ap80YzUrOE1Pe635e6rBrZlipURGsdi1lXbykHYmPtadjnaKOAKn2ZHJZuwH
+ d085dSJz81PNW87VjqWZ9XVMXchuIR6826VMqKWrXRiYItSAfLedrNU6XKib
+ zS5yBOn9XaJ+abvbpPM7ZI+m1bMJ+wpJgqrHWa1F94ha7bhXNbOxgDHpEWY7
+ BwORGuemnNCY88cOMNEarYSmOR3NG5rU2KhssuEYYUlhYSzE20TP5nbMM+m3
+ FrFuHKcFBGs31eqsJMO8tjXc9rdb6RiH/eo0L6qzgJCrQ9r0X6zYKAHJmEg1
+ w7CuJpNN7EjrI3EUxFpEKewt19IBa0s3HbVhBTUlilhdJI60NIm8+bmGWW1q
+ mp3aNe7B1hoKNL9RMbprRbP/AVNBjv8Ja+j+AAAAAElFTkSuQmCC

## msid 0.3.9-6

=== debian/changelog ===
msid (0.3.9-6) unstable; urgency=low

  * remove unnecessary quit option from main menu
  * fix subsong selector bug
  * prepare things for HildonPannableArea
  * change play_stop_song logic to not use gtktreeview selection
  * replace space with '_' character in search
  * add button to toggle stereo/mono output (restarts playback)
  * forget about local HVSC support for now, removed it from preferences
  * thanks to Vesuri for bug report!
	
 -- Tapani Palli <lemody@c64.org>  Sat, 19 Jun 2010 19:07:25 +0300

## msid 0.4-1

=== debian/changelog ===
msid (0.4-1) unstable; urgency=low

  * bump version, code cleanup
  * subsong selector bugfix, patch from Cybjit

 -- Tapani Palli <lemody@gmail.com>  Sun, 20 Jun 2010 13:36:01 +0300

## msid 0.4.1-1

=== debian/changelog ===
msid (0.4.1-1) ustable; urgency=low

  * ringtone support (dump as wav)
  * fixed regression in player list selection
  * cleanups in code
	
 -- Tapani Pälli <lemody@gmail.com>  Thu, 05 Aug 2010 19:46:14 +0300

## msid 0.4.2-1

=== debian/changelog ===
msid (0.4.2-1) unstable; urgency=low

  * proper wav size calculation
  * block until wav dump is ready

 -- Tapani Pälli <tapani.palli@nokia.com>  Fri, 06 Aug 2010 18:44:21 +0300

## msid 0.4.3-1

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,12 @@
 
 PROGRAM = msid
 
-SOURCES = main.cpp loader_tab.c player_tab.c config_tab.c image_tab.c curling.c ui.c sid_test.c
+SOURCES = main.cpp loader_tab.c player_tab.c config_tab.c image_tab.c ui.c sid_test.c plugins/curling.c
 OPTS = -g -O2
 
 DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl
 GVFS = `pkg-config --libs --cflags gnome-vfs-2.0`
+SNDFILE = `pkg-config --libs --cflags sndfile`
 
 OPTDIR = $(DESTDIR)/opt/msid
 
@@ -19,7 +20,7 @@
 icondir = $(DESTDIR)/usr/share/icons/hicolor
 
 all :
-	$(COMPILER) $(OPTS) -o $(PROGRAM) $(SOURCES) $(DEPS) $(GVFS) $(HILDON)
+	$(COMPILER) $(OPTS) -o $(PROGRAM) $(SOURCES) $(DEPS) $(GVFS) $(SNDFILE) $(HILDON)
 
 	make -C plugins

=== plugins/audio/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #ALSA_PLUGIN_SOURCES = $(MSID_PLUGIN_INTERFACE) driver_alsa.h driver_alsa.cpp `pkg-config --cflags --libs alsa` -lsidplay
 PULSE_PLUGIN_SOURCES = $(MSID_PLUGIN_INTERFACE) driver_pulse.h driver_pulse.cpp `pkg-config --cflags --libs libpulse-simple` -lsidplay
 
-AUDIO_PLUGIN_DIR = $(DESTDIR)/usr/lib/$(PROGRAM)/audio
+AUDIO_PLUGIN_DIR = $(DESTDIR)/opt/msid/usr/lib/$(PROGRAM)/audio
 
 all :
 	#only pulse for now

=== debian/changelog ===
msid (0.4.3-1) unstable; urgency=low

  * cleanups, remove dead code

 -- Tapani Pälli <lemody@gmail.com>  Wed, 11 Aug 2010 20:56:04 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Tapani Pälli <lemody@c64.org>
-Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, libhildonfm2-dev, libosso-gnomevfs2-dev, libcurl4-openssl-dev, libsidplay1-dev, libasound2-dev, libpulse-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, libhildonfm2-dev, libosso-gnomevfs2-dev, libcurl4-openssl-dev, libsidplay1-dev, libasound2-dev, libpulse-dev, libsndfile1-dev
 Standards-Version: 3.6.0
 
 Package: msid

## msid 0.4.4-1

=== debian/changelog ===
msid (0.4.4-1) unstable; urgency=low

  * fix regression caused in cleanups ...

 -- Tapani Pälli <lemody@gmail.com>  Wed, 11 Aug 2010 22:37:24 +0300

## msid 0.4.5-2

=== Makefile ===

COMPILER = g++

PROGRAM = msid

SOURCES = main.cpp msidmachine.cpp loader_tab.c player_tab.c config_tab.c image_tab.c ui.c sid_test.c plugins/curling.c
OPTS = -g -O2 -Wall

DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl

HILDON = `pkg-config --cflags --libs hildon-1 hildon-fm-2` -DHILDON -DHANDHELD_UI
OPTDIR = $(DESTDIR)/opt/msid

PROGRAM_DATA_DIR = $(OPTDIR)/usr/share/$(PROGRAM)

ICONPATH = $(DESTDIR)/usr/share/pixmaps
icondir = $(DESTDIR)/usr/share/icons/hicolor

all :
	$(COMPILER) $(OPTS) -o $(PROGRAM) $(SOURCES) $(DEPS) $(HILDON)

	make -C plugins

install :
	install -d $(PROGRAM_DATA_DIR)
	install -d $(ICONPATH)
	install -d $(DESTDIR)/usr/share/applications/hildon

	install -d $(icondir)/26x26/hildon
	install -d $(icondir)/34x34/hildon
	install -d $(icondir)/40x40/hildon
	install -d $(icondir)/50x50/hildon
	install -d $(icondir)/scalable/hildon

	install -m 644 msid_config.ini $(PROGRAM_DATA_DIR)
	install -m 644 STIL.txt $(PROGRAM_DATA_DIR)

	install -m 644 graphics/msidlogo.png $(PROGRAM_DATA_DIR)

	install -m 644 graphics/$(PROGRAM).26.png $(ICONPATH)/$(PROGRAM).png

	install graphics/$(PROGRAM).26.png $(icondir)/26x26/hildon/$(PROGRAM).png
	install graphics/$(PROGRAM).34.png $(icondir)/34x34/hildon/$(PROGRAM).png
	install graphics/$(PROGRAM).40.png $(icondir)/40x40/hildon/$(PROGRAM).png
	install graphics/$(PROGRAM).50.png $(icondir)/50x50/hildon/$(PROGRAM).png
	install graphics/$(PROGRAM).64.png $(icondir)/scalable/hildon/$(PROGRAM).png

	install -d $(OPTDIR)/usr/bin
	install -m 755 $(PROGRAM) $(OPTDIR)/usr/bin

	install -m 644 $(PROGRAM).desktop $(DESTDIR)/usr/share/applications/hildon

	make install -C plugins

clean :
	rm -f $(PROGRAM) core* *~
	make clean -C plugins

=== plugins/audio/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 #ESD_PLUGIN_SOURCES  = $(MSID_PLUGIN_INTERFACE) driver_esd.h driver_esd.cpp `pkg-config --cflags --libs esound` -lsidplay
 #ALSA_PLUGIN_SOURCES = $(MSID_PLUGIN_INTERFACE) driver_alsa.h driver_alsa.cpp `pkg-config --cflags --libs alsa` -lsidplay
+WAV_PLUGIN_SOURCES = $(MSID_PLUGIN_INTERFACE) driver_wav.h driver_wav.cpp `pkg-config --cflags --libs sndfile` -lsidplay
 PULSE_PLUGIN_SOURCES = $(MSID_PLUGIN_INTERFACE) driver_pulse.h driver_pulse.cpp `pkg-config --cflags --libs libpulse-simple` -lsidplay
 
 AUDIO_PLUGIN_DIR = $(DESTDIR)/opt/msid/usr/lib/$(PROGRAM)/audio
@@ -21,6 +22,7 @@
 	#$(COMPILER) -fPIC -o libmsid_esd.so  -shared $(ESD_PLUGIN_SOURCES)
 	#$(COMPILER) -fPIC -o libmsid_alsa.so -shared $(ALSA_PLUGIN_SOURCES)
 
+	$(COMPILER) -fPIC -o libmsid_wav.so -shared $(WAV_PLUGIN_SOURCES)
 	$(COMPILER) -fPIC -o libmsid_pulse.so -shared $(PULSE_PLUGIN_SOURCES)
 
 install :
@@ -28,6 +30,7 @@
 	#install -m 644 libmsid_esd.so  $(AUDIO_PLUGIN_DIR)
 	#install -m 644 libmsid_alsa.so  $(AUDIO_PLUGIN_DIR)
 	install -m 644 libmsid_pulse.so  $(AUDIO_PLUGIN_DIR)
+	install -m 644 libmsid_wav.so $(AUDIO_PLUGIN_DIR)
 
 clean :
 	rm -f lib*so core* *~

=== plugins/search/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl
 
-SEARCH_PLUGIN_DIR = $(DESTDIR)/usr/lib/$(PROGRAM)/search
+SEARCH_PLUGIN_DIR = $(DESTDIR)/opt/msid/usr/lib/$(PROGRAM)/search
 
 all :
 	$(COMPILER) -fPIC -o libmsid_c64org.so -shared $(C64ORG_SEARCH_PLUGIN) $(DEPS)

=== debian/changelog ===
msid (0.4.5-2) unstable; urgency=low

  * move sid playback and search functionality under
    separate object that can be shared with Qt version
  * lots of minor fixes to compiler warnings, removed unused
    variables and cleaned up the code
  * gnomevfs dependency removal, uri handler did not really work ok
  * switch audio plugin when creating ringtone
  * implement cache from thumbnails
  * set created ringtone as user ringtone

 -- Tapani Pälli <lemody@gmail.com>  Thu, 10 Mar 2011 09:21:44 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/msid.sgml > msid.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/msid.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/msid

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## msid 0.4.6-2

=== debian/changelog ===
msid (0.4.6-2) unstable; urgency=low

  * fix a crash in c64org search plugin

 -- Tapani Pälli <lemody@gmail.com>  Sun, 13 Mar 2011 20:36:18 +0200

## msid 0.4.8-2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 SOURCES = main.cpp msidmachine.cpp loader_tab.c player_tab.c config_tab.c image_tab.c ui.c sid_test.c plugins/curling.c
 OPTS = -g -O2 -Wall
 
-DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl
+DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl -ldl
 
 HILDON = `pkg-config --cflags --libs hildon-1 hildon-fm-2` -DHILDON -DHANDHELD_UI
 OPTDIR = $(DESTDIR)/opt/msid

=== plugins/search/Makefile ===

#
# handwritten makefiles are cool
#

COMPILER = g++
PROGRAM = msid

MSID_SEARCH_IFACE = ../search_iface.h ../curling.h ../curling.c

TP2B_SEARCH_PLUGIN = $(MSID_SEARCH_INTERFACE) search_plugin_tp2b.h search_plugin_tp2b.cpp
SUPER_SEARCH_PLUGIN = $(MSID_SEARCH_INTERFACE) search_plugin_super.h search_plugin_super.cpp

DEPS = `pkg-config --libs --cflags glib-2.0 gthread-2.0 gtk+-2.0` -lsidplay -lcurl

SEARCH_PLUGIN_DIR = $(DESTDIR)/opt/msid/usr/lib/$(PROGRAM)/search

all :
	$(COMPILER) -fPIC -o libmsid_super.so -shared $(SUPER_SEARCH_PLUGIN) $(DEPS)

install :
	install -d $(SEARCH_PLUGIN_DIR)
	install -m 644 *.so  $(SEARCH_PLUGIN_DIR)

clean :
	rm -f lib*so core* *~

=== debian/changelog ===
msid (0.4.8-2) unstable; urgency=low

  * remove c64.org plugin, use super search as default
  * iterate over set of HVSC mirrors when loading
  * fix column sort in player view, was broken
  * add missing -ldl to Makefile

 -- Tapani Pälli <lemody@gmail.com>  Fri, 28 Oct 2011 07:28:36 +0000

msid (0.4.7-2) unstable; urgency=low

  * implement size limitation for the thumbnail cache
  * misc refactoring of the code

 -- Tapani Pälli <lemody@gmail.com>  Mon, 21 Mar 2011 20:41:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Tapani Pälli <lemody@c64.org>
-Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, libhildonfm2-dev, libosso-gnomevfs2-dev, libcurl4-openssl-dev, libsidplay1-dev, libasound2-dev, libpulse-dev, libsndfile1-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, libhildonfm2-dev, libcurl4-openssl-dev, libsidplay1-dev, libasound2-dev, libpulse-dev, libsndfile1-dev
 Standards-Version: 3.6.0
 
 Package: msid
